# VectorNav C++ Library: vn::util::NoCopy Class Reference

vn::util::NoCopy Class Reference

Identifies a derived class as being unable to be copied and prevents copy attempts. More...

`#include <nocopy.h>`

Inheritance diagram for vn::util::NoCopy:

## Protected Member Functions

| NoCopy ()
| Allows construction of derived objects.
| ~NoCopy ()
| Allows destruction of derived objects.

## Detailed Description

Identifies a derived class as being unable to be copied and prevents copy attempts.

Example for making derived objects uncopyable.

class MyClass : private NoCopy
{
// Class implementation.
}

The documentation for this class was generated from the following file:

- include/vn/nocopy.h